Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TScopeStatus

All Superinterfaces:
  org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TScopeStatusImpl

    public interface TScopeStatus

extends org.apache.xmlbeans.XmlString

An XML tScopeStatus(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.TScopeStatus.

Nested Class Summary
`static class` | `TScopeStatus.Enum` Enumeration value class for org.apache.ode.bpel.pmapi.TScopeStatus.
`static class` | `TScopeStatus.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static TScopeStatus.Enum` | `ACTIVE`
`static TScopeStatus.Enum` | `COMPENSATED`
`static TScopeStatus.Enum` | `COMPENSATING`
`static TScopeStatus.Enum` | `COMPLETED`
`static TScopeStatus.Enum` | `FAULTED`
`static TScopeStatus.Enum` | `FAULTHANDLING`
`static int` | `INT_ACTIVE`
`static int` | `INT_COMPENSATED`
`static int` | `INT_COMPENSATING`
`static int` | `INT_COMPLETED`
`static int` | `INT_FAULTED`
`static int` | `INT_FAULTHANDLING`
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
`void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

### ACTIVE

    static final TScopeStatus.Enum ACTIVE

### COMPLETED

    static final TScopeStatus.Enum COMPLETED

### FAULTED

    static final TScopeStatus.Enum FAULTED

### FAULTHANDLING

    static final TScopeStatus.Enum FAULTHANDLING

### COMPENSATING

    static final TScopeStatus.Enum COMPENSATING

### COMPENSATED

    static final TScopeStatus.Enum COMPENSATED

### INT_ACTIVE

    static final int INT_ACTIVE

See Also:
  Constant Field Values

### INT_COMPLETED

    static final int INT_COMPLETED

See Also:
  Constant Field Values

### INT_FAULTED

    static final int INT_FAULTED

See Also:
  Constant Field Values

### INT_FAULTHANDLING

    static final int INT_FAULTHANDLING

See Also:
  Constant Field Values

### INT_COMPENSATING

    static final int INT_COMPENSATING

See Also:
  Constant Field Values

### INT_COMPENSATED

    static final int INT_COMPENSATED

See Also:
  Constant Field Values

Method Detail

### enumValue

    org.apache.xmlbeans.StringEnumAbstractBase enumValue()

### set

    void set(org.apache.xmlbeans.StringEnumAbstractBase e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD